Package com.clickhouse.jdbc

## Class JdbcParseHandler

- java.lang.Object
- - com.clickhouse.jdbc.parser.ParseHandler
  - - com.clickhouse.jdbc.JdbcParseHandler

    public class JdbcParseHandler
    extends ParseHandler

### Field Summary

Fields
`static ParseHandler` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClickHouseSqlStatement` `handleStatement​(String sql, StatementType stmtType, String cluster, String database, String table, String input, String format, String outfile, List<Integer> parameters, Map<String,​Integer> positions, Map<String,​String> settings, Set<String> tempTables)` Hanlde statemenet.

### Methods inherited from class com.clickhouse.jdbc.parser.ParseHandler

`handleMacro, handleParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ParseHandler INSTANCE

### Method Detail

#### handleStatement

    public ClickHouseSqlStatement handleStatement​(String sql,
                                                  StatementType stmtType,
                                                  String cluster,
                                                  String database,
                                                  String table,
                                                  String input,
                                                  String format,
                                                  String outfile,
                                                  List<Integer> parameters,
                                                  Map<String,​Integer> positions,
                                                  Map<String,​String> settings,
                                                  Set<String> tempTables)

Description copied from class: `ParseHandler`
Hanlde statemenet.

Overrides:
  `handleStatement` in class `ParseHandler`
Parameters:
  `sql` - sql statement
  `stmtType` - statement type
  `cluster` - cluster
  `database` - database
  `table` - table
  `input` - input
  `format` - format
  `outfile` - outfile
  `parameters` - positions of parameters
  `positions` - keyword positions
  `settings` - settings
  `tempTables` - temporary tables
Returns:
  sql statement, or null means no change